<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
{% load static %}
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Pocketing</title>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href='http://fonts.googleapis.com/css?family=Archivo+Narrow:400,700|Open+Sans:400,600,700' rel='stylesheet'
          type='text/css'/>
    <link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>

    <!-- semantic UI -->
    <!--    <link rel="stylesheet" type='text/css' href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.14/semantic.min.css">-->
    <!--Chart js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js"
            integrity="sha256-Uv9BNBucvCPipKQ2NS9wYpJmi8DTOEfTA/nH2aoJALw=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css"
          integrity="sha256-aa0xaJgmK/X74WM224KMQeNQC2xYKwlAt08oZqjeF0E=" crossorigin="anonymous"/>

    <script type='text/javascript'>


        function addRemoveAttr(){

             if(document.getElementById('firstname').disabled == false){
              document.getElementById('firstname').disabled = true;
              document.getElementById('firstname').style.background = "#000000"
              document.getElementById('firstname').style.color = "#ffffff"
             }else{
              document.getElementById('firstname').disabled = false;
              document.getElementById('firstname').style.background = "#ffffff"
              document.getElementById('firstname').style.color = "#000000"
             }

             if(document.getElementById('lastname').disabled == false){
              document.getElementById('lastname').disabled = true;
              document.getElementById('lastname').style.background = "#000000"
              document.getElementById('lastname').style.color = "#ffffff"
             }else{
              document.getElementById('lastname').disabled = false;
              document.getElementById('lastname').style.background = "#ffffff"
              document.getElementById('lastname').style.color = "#000000"
             }

             if(document.getElementById('skill').disabled == false){
              document.getElementById('skill').disabled = true;
              document.getElementById('skill').style.background = "#000000"
              document.getElementById('skill').style.color = "#ffffff"
             }else{
              document.getElementById('skill').disabled = false;
              document.getElementById('skill').style.background = "#ffffff"
              document.getElementById('skill').style.color = "#000000"
             }

             if(document.getElementById('department').disabled == false){
              document.getElementById('department').disabled = true;
              document.getElementById('department').style.background = "#000000"
              document.getElementById('department').style.color = "#ffffff"
             }else{
              document.getElementById('department').disabled = false;
              document.getElementById('department').style.background = "#ffffff"
              document.getElementById('department').style.color = "#000000"
             }

             if(document.getElementById('email').disabled == false){
              document.getElementById('email').disabled = true;
              document.getElementById('email').style.background = "#000000"
              document.getElementById('email').style.color = "#ffffff"
             }else{
              document.getElementById('email').disabled = false;
              document.getElementById('email').style.background = "#ffffff"
              document.getElementById('email').style.color = "#000000"
             }

             if(document.getElementById('title').disabled == false){
              document.getElementById('title').disabled = true;
              document.getElementById('title').style.background = "#000000"
              document.getElementById('title').style.color = "#ffffff"
             }else{
              document.getElementById('title').disabled = false;
              document.getElementById('title').style.background = "#ffffff"
              document.getElementById('title').style.color = "#000000"
             }


        }





    </script>
    <script type='text/javascript'>
$(document).ready(function(){
    $("#projects_id").prop('required',true);
    $("select").prop('required',true);
    $("#ProjectAdd").click(function(){
                    //If the user clicks on the button, then submit
                    //the form.


                    if($('#employee_select').val()=='' || $('#projects_id').val()=='')  {
                        alert('Please fill in the required fields');
                        return false;
                    }
                    else{
                        $("#myForm").submit();
                    }

                });
    $("#search").click(function(){
                    //If the user clicks on the button, then submit
                    //the form.
                    if($('#employee_select_workload').val()=='' || $('#id_start_date').val()=='' || $('#id_end_date').val()=='')  {
                        alert('Please fill in the required fields');
                        return false;
                    }
                    else{
                        $("#WorkloadForm").submit();
                    }

                });

$("#projects_id").hide();
$("#date_id").hide();
$("#employees_id").hide();
$("#employees_workload_id").hide();
$("#search").hide();
$("#ProjectAdd").hide();
$("#free_start").hide();
$("#free_end").hide();
$("#project_start").hide();
$("#project_end").hide();
$("#selected_dates").hide();

$("#workload").click(function(){

    $("#projects_id").hide();
    $("#date_id").show(1000);
    $("#employees_id").hide(1000);
    $("#employees_workload_id").show(1000);
    $("#search").show(1000);
    $("#ProjectAdd").hide();


});

$("#showProjects").click(function(){

    $("#projects_id").show(1000);
    $("#employees_id").show(1500);
    $("#employees_workload_id").hide(1000);
    $("#date_id").hide();
    $("#ProjectAdd").show(1000);
    $("#search").hide();

});




});


    </script>
</head>
<body>
{% block scripts %}
{% endblock scripts %}

<div style="position: absolute; right: 50px; top:10px; color: #FFFFFF;">
    {% if user.is_authenticated %}
    User: {{ user.get_username }}
    {% endif %}
</div>
<div id="wrapper">
    <div id="header-wrapper">
        <div id="header" class="container">
            <div id="logo">
                <h1><a href="#">{% block title %}{% endblock %}</a></h1>
            </div>
            <div id="menu">
                <ul>

                    <li class="active"><a href="{% url 'home' %}" accesskey="1" title="">HOME</a></li>
                    <!-- <li><a href="/login/" accesskey="2" title="">LOGIN</a></li>-->
                    <!--<li class="first">-->
                    {% if user.is_authenticated %}
                    <!--<li>User: {{ user.get_username }}</li>-->
                    <li><a href="{% url 'logout' %}?next={{ request.path }}">LOGOUT</a></li>
                    {% else %}
                    <li><a href="{% url 'login' %}?next={{ request.path }}">LOGIN</a></li>
                    {% endif %}
                    <!--</li>-->
                    <li><a href="/register" accesskey="3" title="">REGISTER</a></li>

                </ul><!---->
            </div>
        </div>
    </div>
    <div id="page" class="container">
        <div id="content" style="width: 680px;">
            <div id="box1">
                <h2 class="title"><a href="#"> </a></h2>
                <p> {% block content %} {% endblock %}</p>
            </div>
            <div>

            </div>
        </div>

        {% block sidebar %} {% endblock %}

    </div>
    <div id="footer">

    </div>
</div>


</body>
</html>
